﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace TestListView
{
    public partial class MainPage : MasterDetailPage
    {
        public MainPage()
        {
            InitializeComponent();
            var page = new NavigationPage(GetDetail());
            Detail = page;
            Master = new Menu();
        }

        private Page GetDetail()
        {
            var typekvPair = typeof(MvDetail);
            var constructor = typekvPair.GetTypeInfo()
                .DeclaredConstructors
                .FirstOrDefault(c => !c.GetParameters().Any());
            return constructor.Invoke(null) as Page;
        }
    }
}
